#include <fstream>
#include <iostream>
#include <cstdlib>
using namespace std;

int nthdigit(int x, int n)
{
    while (n--) {
        x /= 10;
    }
    return (x % 10);
}

int findDigit(int digit, int key)
{
	for(int i = 0; i < 8; i++)
	{
		if(digit == nthdigit(key, i))
			return 8-i;
	}
	return -1;
}

int main()
{
	ifstream readin("log.txt");
	int key = 73162890;
	int* attempts = (int*)malloc(sizeof(int)*50);
	while(!readin.eof())
	{
		static int x = 0;
		readin >> attempts[x];
		x++;
	}

	for(int n = 1; n < 51; n++)
	{
		int location2 = findDigit(nthdigit(attempts[n-1],2),key);
		int location1 = findDigit(nthdigit(attempts[n-1],1),key); 
		int location0 = findDigit(nthdigit(attempts[n-1],0),key);
		
		cout << "Attempt #" << n << " Prompt = ";
		
		cout << location2;
		cout << location1;
		cout << location0 << "\t";

		cout << attempts[n-1] << endl;
	}

	system("PAUSE");
	free(attempts);
	return 0;
}